# SoSFName Class Reference
[Field classes]

`#include <Inventor/fields/SoSFName.h>`

Inheritance diagram for SoSFName:

List of all members.

## Detailed Description

The SoSFName class is a container for an SbName.

This field is used where nodes, engines or other field containers needs to store a single name string.

Fields of this type stores their value to file as a the name string within quotes.

See also:
  SoMFName

## Public Member Functions

void | setValue (const char *const name)

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoSFName::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFName::setValue | ( | const char *const | name | ) |

| Set value of field.

The documentation for this class was generated from the following files:

- SoSFName.h
- SoSFName.cpp